# Generated by Django 2.2.8 on 2019-12-12 11:29

from django.utils.translation import gettext_lazy as _
from django.db import migrations, models
from django.conf import settings

from lucterios.framework.tools import set_locale_lang

from diacamma.accounting.models import Journal


def initial_values(*args):
    if Journal.objects.all().count() == 0:
        set_locale_lang(settings.LANGUAGE_CODE)
        Journal.objects.create(name=_("Last year report"), id=1)
        Journal.objects.create(name=_("Buying"), id=2)
        Journal.objects.create(name=_("Selling"), id=3)
        Journal.objects.create(name=_("Payment"), id=4)
        Journal.objects.create(name=_("Other"), id=5)
    Journal.objects.get(id=4).change_has_default()


class Migration(migrations.Migration):

    dependencies = [
        ('accounting', '0013_fiscalyear_folder'),
    ]

    operations = [
        migrations.AddField(
            model_name='journal',
            name='is_default',
            field=models.BooleanField(default=False, verbose_name='default', null=False),
        ),
        migrations.RunPython(initial_values),
    ]
